subversion-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Cooke, Mark" <mark.co...@siemens.com>
Subject svn 1.8.13 python bidings not built using SWIG 3.0.7
Date Tue, 04 Aug 2015 13:11:27 GMT
Hello list,

I am building svn 1.8.13 (to go with httpd 2.4.16) on a windows 7 system using Visual Studio
2008 Pro.

If I try to use the latest SWIG 3.0.7 to build the python bindings then I get no PYDs and
lots of errors, e.g.:

Generating ..\..\..\subversion\bindings\swig\python\core.c
d:\svn\src\subversion\bindings\swig\core.i(792) : Error: Unknown SWIG preprocessor directive:
The (if this is a block of target language code, delimit it with %{ and %})
d:\svn\src\subversion\bindings\swig\core.i(793) : Error: Unknown SWIG preprocessor directive:
reference (if this is a block of target language code, delimit it with %{ and %})
d:\svn\src\subversion\bindings\swig\core.i(794) : Error: Unknown SWIG preprocessor directive:
references (if this is a block of target language code, delimit it with %{ and %})

I tried to search for this issue but got no hits, so I reverted to SWIG 3.0.2 (used for my
last successful build) and I have bindings.  Sorry I have not had much time to investigate.
 Just hoping to help if someone else hits the same issue.

Note that both 3.0.2 and 3.0.7 report a warning about $(SWIG_CPPFLAGS) not being found (amongst
lots of others).

~ Mark C


Mime
View raw message